
Libprelude - Bug #18

Keep generated object ident accross idmef-tree.h changes.

06/06/2004 09:00 AM - Yoann VANDOORSELAERE

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: wontfix   

Description

When auto generating the IDMEF API, existing object should keep the same identity as before, in order to keep compatibility

between different Prelude version, so that we don't break the communication at the protocol level.

History

#1 - 06/06/2004 11:50 PM - Yoann VANDOORSELAERE

- Status changed from New to Assigned

#2 - 04/18/2005 07:43 AM - Yoann VANDOORSELAERE

- Status changed from Assigned to New

We are probably going to use manual message ID maintainance now. Marking as post 0.9 in the meantime.

#3 - 01/11/2006 11:51 AM - Yoann VANDOORSELAERE

- Status changed from New to Closed

- Resolution set to wontfix

Won't fix for now, manual allocation seem better suited, especially now that IDMEF does not evolve much.

#4 - 04/29/2009 12:26 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Libprelude

- Category deleted (1)
